Skip to main content
GET
/
v5
/
taxes
/
taxPayments
Get tax payments
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/taxes/taxPayments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "region": "FED",
      "period": "Q1",
      "year": 2020,
      "amount": 50.01,
      "bankAccountId": 123,
      "id": 123,
      "status": "ACTIVE",
      "reviewStatus": "PARTNER_REVIEW_REQUIRED",
      "userAccess": "NONE",
      "accountantAccess": "NONE",
      "type": "CONFIRMED",
      "date": "2021-01-04",
      "description": "Online Banking payment",
      "bankDescription": "<string>",
      "apiAccountNo": "<string>",
      "apiAccountName": "Citi Premier® Card",
      "apiInstitutionId": "<string>",
      "customData": {},
      "v6EntityId": "<string>"
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter - returns all records updated after the specified date.

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Query Parameters

year
integer<int32>

Year filter (YYYY) - returns all records for the specified year. Null will return all data.

status
enum<string>[]

Status filter - returns all tax payments for the specified statuses. Null or empty list will default to ACTIVE.

Available options:
ACTIVE,
INACTIVE
type
enum<string>[]

Type filter - returns all tax payments for the specified types. Null or empty list will default to PENDING & CONFIRMED.

Available options:
CONFIRMED,
PENDING

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate